org.richfaces.ui.input.inplaceInput

## Class AbstractInplaceInput

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - org.richfaces.ui.input.inplaceInput.AbstractInplaceInput

- All Implemented Interfaces:
    EventListener, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, InplaceComponent
  Direct Known Subclasses:
    UIInplaceInput

      public abstract class AbstractInplaceInput
      extends javax.faces.component.UIInput
      implements InplaceComponent

  The <r:inplaceInput> component allows information to be entered in-line in blocks of text, improving readability of the text. Multiple input regions can be navigated with keyboard navigation. The component has three functional states: the view state, where the component displays its initial setting, such as "click to edit"; the edit state, where the user can input text; and the "changed" state, where the new value for the component has been confirmed but can be edited again if required.

  Author:
    Anton Belevich

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractInplaceInput()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getActiveClass()` Space-separated list of CSS style class(es) to be applied when this element is active.
    `abstract String` | `getChangedClass()` Space-separated list of CSS style class(es) to be applied when the value of this element is changed.
    `abstract String` | `getDefaultLabel()` Used to set the display text when value is undefined
    `abstract String` | `getDisabledClass()` Space-separated list of CSS style class(es) to be applied when this element is rendered.
    `abstract String` | `getEditEvent()` Used to specify the event that switches the component to the edit state
    `abstract String` | `getInputWidth()` The width of the input element
    `abstract String` | `getOnblur()`
    `abstract String` | `getOnchange()` Javascript code executed when this element loses focus and its value has been modified since gaining focus.
    `abstract String` | `getOnclick()`
    `abstract String` | `getOndblclick()`
    `abstract String` | `getOnfocus()`
    `abstract String` | `getOninputclick()` The client-side script method to be called when
    `abstract String` | `getOninputdblclick()` The client-side script method to be called when
    `abstract String` | `getOninputkeydown()` The client-side script method to be called when
    `abstract String` | `getOninputkeypress()` The client-side script method to be called when
    `abstract String` | `getOninputkeyup()` The client-side script method to be called when
    `abstract String` | `getOninputmousedown()` The client-side script method to be called when
    `abstract String` | `getOninputmousemove()` The client-side script method to be called when
    `abstract String` | `getOninputmouseout()` The client-side script method to be called when
    `abstract String` | `getOninputmouseover()` The client-side script method to be called when
    `abstract String` | `getOninputmouseup()` The client-side script method to be called when
    `abstract String` | `getOninputselect()` The client-side script method to be called when
    `abstract String` | `getOnkeydown()`
    `abstract String` | `getOnkeypress()`
    `abstract String` | `getOnkeyup()`
    `abstract String` | `getOnmousedown()`
    `abstract String` | `getOnmousemove()`
    `abstract String` | `getOnmouseout()`
    `abstract String` | `getOnmouseover()`
    `abstract String` | `getOnmouseup()`
    `abstract InplaceState` | `getState()`
    `abstract String` | `getTabindex()`
    `abstract boolean` | `isDisabled()` If "true", this component is disabled
    `abstract boolean` | `isSaveOnBlur()` If "true", apply the changes when the focus is lost
    `abstract boolean` | `isShowControls()` If "true" is set, buttons for confirming or canceling are added to the component

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getFamily, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, getValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.ui.common.InplaceComponent

      `setDefaultLabel`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, getValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractInplaceInput

          public AbstractInplaceInput()

  - ### Method Detail

    - #### isDisabled

          public abstract boolean isDisabled()

      If "true", this component is disabled
      Specified by:
        `isDisabled` in interface `InplaceComponent`

    - #### getDefaultLabel

          public abstract String getDefaultLabel()

      Used to set the display text when value is undefined
      Specified by:
        `getDefaultLabel` in interface `InplaceComponent`

    - #### isSaveOnBlur

          public abstract boolean isSaveOnBlur()

      If "true", apply the changes when the focus is lost
      Specified by:
        `isSaveOnBlur` in interface `InplaceComponent`

    - #### getEditEvent

          public abstract String getEditEvent()

      Used to specify the event that switches the component to the edit state

      Default is "click"

      Specified by:
        `getEditEvent` in interface `InplaceComponent`

    - #### isShowControls

          public abstract boolean isShowControls()

      If "true" is set, buttons for confirming or canceling are added to the component
      Specified by:
        `isShowControls` in interface `InplaceComponent`

    - #### getInputWidth

          public abstract String getInputWidth()

      The width of the input element

    - #### getTabindex

          public abstract String getTabindex()

      Specified by:
        `getTabindex` in interface `InplaceComponent`

    - #### getActiveClass

          public abstract String getActiveClass()

      Space-separated list of CSS style class(es) to be applied when this element is active. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getActiveClass` in interface `InplaceComponent`

    - #### getChangedClass

          public abstract String getChangedClass()

      Space-separated list of CSS style class(es) to be applied when the value of this element is changed. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getChangedClass` in interface `InplaceComponent`

    - #### getDisabledClass

          public abstract String getDisabledClass()

      Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getDisabledClass` in interface `InplaceComponent`

    - #### getOnkeydown

          public abstract String getOnkeydown()

    - #### getOnkeypress

          public abstract String getOnkeypress()

    - #### getOnkeyup

          public abstract String getOnkeyup()

    - #### getOnclick

          public abstract String getOnclick()

    - #### getOndblclick

          public abstract String getOndblclick()

    - #### getOnmousedown

          public abstract String getOnmousedown()

    - #### getOnmousemove

          public abstract String getOnmousemove()

    - #### getOnmouseout

          public abstract String getOnmouseout()

    - #### getOnmouseover

          public abstract String getOnmouseover()

    - #### getOnmouseup

          public abstract String getOnmouseup()

    - #### getOninputclick

          public abstract String getOninputclick()

      The client-side script method to be called when

    - #### getOninputdblclick

          public abstract String getOninputdblclick()

      The client-side script method to be called when

    - #### getOninputmousedown

          public abstract String getOninputmousedown()

      The client-side script method to be called when

    - #### getOninputmousemove

          public abstract String getOninputmousemove()

      The client-side script method to be called when

    - #### getOninputmouseout

          public abstract String getOninputmouseout()

      The client-side script method to be called when

    - #### getOninputmouseover

          public abstract String getOninputmouseover()

      The client-side script method to be called when

    - #### getOninputmouseup

          public abstract String getOninputmouseup()

      The client-side script method to be called when

    - #### getOninputkeydown

          public abstract String getOninputkeydown()

      The client-side script method to be called when

    - #### getOninputkeypress

          public abstract String getOninputkeypress()

      The client-side script method to be called when

    - #### getOninputkeyup

          public abstract String getOninputkeyup()

      The client-side script method to be called when

    - #### getOninputselect

          public abstract String getOninputselect()

      The client-side script method to be called when

    - #### getOnchange

          public abstract String getOnchange()

      Javascript code executed when this element loses focus and its value has been modified since gaining focus.

    - #### getOnfocus

          public abstract String getOnfocus()

    - #### getOnblur

          public abstract String getOnblur()

    - #### getState

          public abstract InplaceState getState()

      Specified by:
        `getState` in interface `InplaceComponent`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.